Add Location to Location Group

Adds a location to an existing location group

Headers
  • Authorization
    Type: string
    required

    Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body
application/json
  • location_group_id
    Type: string

    Unique ID that identifies a location group for the business. This ID is assigned to the location group at the time of creation.

  • location_id
    Type: string

    Unique ID of a particular location. This is generated by Punchh.

  • store_number
    Type: string

    Unique store number provided by the business

Responses
  • application/json
  • application/json
Request Example for post/api2/dashboard/location_groups/add_location
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/location_groups/add_location \
  --request POST \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "location_group_id": "2140",
  "store_number": "317111",
  "location_id": "312362"
}'
{
  "location_group_id": 2140,
  "name": "Group 1",
  "locations": [
    {
      "location_id": 312350,
      "store_number": "316864"
    },
    {
      "location_id": 312362,
      "store_number": "317111"
    }
  ]
}